![Logo Risotto](logo.png "logo risotto")

# Risotto

## Install dependencies

- python3-dkimpy
- python3-cheetah
- ldns-utils

## Installation

Clone projects:

- https://framagit.org/tiramisu/tiramisu
- https://cloud.silique.fr/gitea/risotto/dataset
- https://cloud.silique.fr/gitea/risotto/rougail
- https://cloud.silique.fr/gitea/risotto/risotto

## Documentation

[Documentation](doc/README.md)

## Set up

Set up Risotto:

```bash
cd risotto
cp risotto.conf.example risotto.conf
```

In risotto.conf change the dataset directory.

Set up infrasctructure:

```bash
cp server.yml.example server.yml
```

Modify infrastructure description as required.

Generate the configuration:

```bash
./bootstrap.py
```

Send configuration to remote server:

```bash
ansible-playbook -i ansible/inventory.py ansible/playbook.yml
```
