![Logo Risotto](../logo.png "logo risotto")

# Risotto

## A dataset

- [Dataset example](dataset_example/dataset.md)
- [Official dataset](https://cloud.silique.fr/gitea/risotto/dataset/src/branch/main/seed/README.md)

## Infrastructure

- [Infrastructure](infrastructure.md)
- [Examples](dataset_example/infrastructure.md)

## risotto.conf

```toml
[directories]
datasets = ['<path_to_dataset_base>/seed']
dest = 'installations'
dest_templates = 'templates'

[cert_authority]
email = '<email>'
country = 'FR'
locality = 'Dijon'
state = 'France'
org_name = 'Silique'
org_unit_name = 'Cloud'
```

## Usage

![Schema](schema.png "Schéma")

